Subject: coreutils: support IP address sorting

From: Norbert Kiesel <[email-masked]>
Date: Sun, 26 Nov 2006 05:15:57 -0800

Package: coreutils
Version: 5.97-5.2
Severity: wishlist

Hi,
I would really like to have an option to sort by IP address (IPv4 and
IPv6).  The existing solutions (e.g. "-t. -n -k1,1 -k2,2 -k3,3 -k4,4")
are not really usable if the IP address is not the first field and are
also very clumbsy.  Sorting by date would be nice too, but is more
complicated due to whitespace in dates.

If I write a patch, should I submit it to you or to upstream?

Best,
  Norbert

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18.2
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages coreutils depends on:
ii  libacl1                      2.2.41-1    Access control list shared library
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libselinux1                  1.32-3      SELinux shared libraries

coreutils recommends no packages.

-- no debconf information